#ifndef _HINT_LOG_H_
#define _HINT_LOG_H_

#define hint_log_debug(fmt, ...) printf("%s(%d) DBG: " fmt "\n", __FUNCTION__, __LINE__, ## __VA_ARGS__)
#define hint_log_error(fmt, ...) printf("%s(%d) ERR: " fmt "\n", __FUNCTION__, __LINE__, ## __VA_ARGS__)
#define hint_log_cdb(buf) hint_log_debug("CDB: %.2x %.2x %.2x %.2x %.2x %.2x %.2x %.2x %.2x %.2x", \
                                         ((char*)(buf))[0],             \
                                         ((char*)(buf))[1],             \
                                         ((char*)(buf))[2],             \
                                         ((char*)(buf))[3],             \
                                         ((char*)(buf))[4],             \
                                         ((char*)(buf))[5],             \
                                         ((char*)(buf))[6],             \
                                         ((char*)(buf))[7],             \
                                         ((char*)(buf))[8],             \
                                         ((char*)(buf))[9])
                                                                        
#endif /* _HINT_LOG_H_ */
